Rygel.MediaContainer.get_children – librygel-server Reference Manual

# get_children

## Description:

public abstract async MediaObjects? get_children (`uint` offset, `uint` max_count, `string` sort_criteria, `Cancellable`? cancellable) throws `Error`

Fetches the list of media objects directly under this container.

## Parameters:

offset | zero-based index of the first item to return
max_count | maximum number of objects to return
sort_criteria | sorting order of objects to return
cancellable | optional cancellable for this operation

## Returns:

A list of media objects.